<?xml version="1.0" encoding="utf-8"?>
  
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema"
           xmlns:elk="urn:cbr-ru:elk:v2024.1.0"
           xmlns:lt="urn:cbr-ru:elk:leaftypes:v2024.1.0"
           xmlns:ai="urn:cbr-ru:e-forms-app-info:v0.1"
           targetNamespace="urn:cbr-ru:elk:v2024.1.0" elementFormDefault="qualified" version="2024.1.0">
  
  <xs:import namespace="urn:cbr-ru:elk:leaftypes:v2024.1.0" schemaLocation="cbr_ed_leaftypes_v2024.1.0.xsd"/>
  <xs:include schemaLocation="cbr_ed_objects_v2024.1.0.xsd"/>
  
  <xs:element name="ED441" type="elk:ED441">
    <xs:annotation>
      <xs:documentation>Извещение о предоставлении кредита Банка России</xs:documentation>
    </xs:annotation>
  </xs:element>
  
  <xs:complexType name="ED441">
    <xs:annotation>
      <xs:documentation>Извещение о предоставлении кредита Банка России</xs:documentation>
    </xs:annotation>
    <xs:complexContent>
      <xs:extension base="elk:ESWithMandatoryEDReceiver">
        <xs:sequence>
          <xs:element name="CoCreditNotification" type="elk:CoCreditNotification">
            <xs:annotation>
              <xs:documentation>1. Извещение о предоставлении кредита</xs:documentation>
            </xs:annotation>
          </xs:element>
        </xs:sequence>
      </xs:extension>
    </xs:complexContent>
  </xs:complexType>
  
  <xs:complexType name="CoCreditNotification">
    <xs:annotation>
      <xs:documentation>1. Извещение о предоставлении кредита</xs:documentation>
    </xs:annotation>
    <xs:sequence>
      <xs:element name="CreditAssets" type="elk:CreditAssets">
        <xs:annotation>
          <xs:documentation>1.1. Обеспечение кредита</xs:documentation>
        </xs:annotation>
      </xs:element>
    </xs:sequence>
    <xs:attribute name="NotificationNum" type="lt:Max10TextType" use="required">
      <xs:annotation>
        <xs:documentation>Номер извещения о предоставлении кредита</xs:documentation>
      </xs:annotation>
    </xs:attribute>
    <xs:attribute name="NotificationDate" type="lt:DateType" use="required">
      <xs:annotation>
        <xs:documentation>Дата извещения о предоставлении кредита (дата предоставления кредита)</xs:documentation>
      </xs:annotation>
    </xs:attribute>
    <xs:attribute name="CORegNo" type="lt:Max10TextType" use="required">
      <xs:annotation>
        <xs:documentation>Регистрационный номер КО</xs:documentation>
      </xs:annotation>
    </xs:attribute>
    <xs:attribute name="COFullName" type="lt:Max255TextType" use="required">
      <xs:annotation>
        <xs:documentation>Полное наименование КО</xs:documentation>
      </xs:annotation>
    </xs:attribute>
    <xs:attribute name="GKDDate" type="lt:DateType" use="required">
      <xs:annotation>
        <xs:documentation>Дата кредитного договора (соглашения), заключенного с Банком России</xs:documentation>
      </xs:annotation>
    </xs:attribute>
    <xs:attribute name="GKDNo" type="lt:Max10TextType" use="required">
      <xs:annotation>
        <xs:documentation>Номер кредитного договора (соглашения), заключенного с Банком России</xs:documentation>
      </xs:annotation>
    </xs:attribute>
    <xs:attribute name="CreditType" use="required">
      <xs:annotation>
        <xs:documentation>Вид кредита для Извещения</xs:documentation>
      </xs:annotation>
      <xs:simpleType>
        <xs:annotation>
          <xs:documentation>Код. Двузначный код значения реквизита. [Кодовые значения реквизитов]. Цифровой, 2 значный</xs:documentation>
        </xs:annotation>
        <xs:restriction base="lt:TwoDigitCodeType">
          <xs:enumeration value="00">
            <xs:annotation>
              <xs:documentation>Кредит овернайт под залог ценных бумаг из Ломбардного списка Банка России</xs:documentation>
            </xs:annotation>
          </xs:enumeration>
          <xs:enumeration value="04">
            <xs:annotation>
              <xs:documentation>Ломбардный кредит на аукционной основе (основной механизм)</xs:documentation>
            </xs:annotation>
          </xs:enumeration>
          <xs:enumeration value="14">
            <xs:annotation>
              <xs:documentation>Ломбардный кредит по фиксированной процентной ставке (основной механизм)</xs:documentation>
            </xs:annotation>
          </xs:enumeration>
          <xs:enumeration value="18">
            <xs:annotation>
              <xs:documentation>Ломбардный кредит по фиксированной процентной ставке (дополнительный механизм)</xs:documentation>
            </xs:annotation>
          </xs:enumeration>
          <xs:enumeration value="20">
            <xs:annotation>
              <xs:documentation>Кредит овернайт под залог нерыночных активов</xs:documentation>
            </xs:annotation>
          </xs:enumeration>
          <xs:enumeration value="21">
            <xs:annotation>
              <xs:documentation>Кредит на аукционной основе под залог нерыночных активов (основной механизм)</xs:documentation>
            </xs:annotation>
          </xs:enumeration>
          <xs:enumeration value="23">
            <xs:annotation>
              <xs:documentation>Кредит по фиксированной процентной ставке под залог нерыночных активов (основной механизм)</xs:documentation>
            </xs:annotation>
          </xs:enumeration>
          <xs:enumeration value="27">
            <xs:annotation>
              <xs:documentation>Кредит по фиксированной процентной ставке под поручительства</xs:documentation>
            </xs:annotation>
          </xs:enumeration>
          <xs:enumeration value="29">
            <xs:annotation>
              <xs:documentation>Кредит под межбанковские кредиты</xs:documentation>
            </xs:annotation>
          </xs:enumeration>
          <xs:enumeration value="33">
            <xs:annotation>
              <xs:documentation>Кредит по фиксированной процентной ставке под залог нерыночных активов (дополнительный механизм)</xs:documentation>
            </xs:annotation>
          </xs:enumeration>
          <xs:enumeration value="44">
            <xs:annotation>
              <xs:documentation>Кредит по фиксированной процентной ставке под залог закладных</xs:documentation>
            </xs:annotation>
          </xs:enumeration>
        </xs:restriction>
      </xs:simpleType>
    </xs:attribute>
    <xs:attribute name="ReqRegDate" type="lt:DateType">
      <xs:annotation>
        <xs:documentation>Дата аукционной заявки/заявления на получение кредита по фиксированной процентной ставке, указанная кредитной организацией в заявлении</xs:documentation>
      </xs:annotation>
    </xs:attribute>
    <xs:attribute name="ReqRegNo" type="lt:Max10TextType">
      <xs:annotation>
        <xs:documentation>Номер аукционной заявки/заявления на получение кредита по фиксированной процентной ставке, присвоенный кредитной организацией</xs:documentation>
      </xs:annotation>
    </xs:attribute>
    <xs:attribute name="CreditDate" type="lt:DateType" use="required">
      <xs:annotation>
        <xs:documentation>Дата предоставления кредита</xs:documentation>
      </xs:annotation>
    </xs:attribute>
    <xs:attribute name="CurCode" type="lt:EnuCurCode" use="required">
      <xs:annotation>
        <xs:documentation>Валюта, в которой выдан кредит Банка России</xs:documentation>
      </xs:annotation>
    </xs:attribute>
    <xs:attribute name="CreditSum" type="lt:KopeckAmountType" use="required">
      <xs:annotation>
        <xs:documentation>Сумма предоставленного кредита</xs:documentation>
      </xs:annotation>
    </xs:attribute>
    <xs:attribute name="CreditTermClaimed" type="lt:Max6DayQuantityType" use="required">
      <xs:annotation>
        <xs:documentation>Срок кредита</xs:documentation>
      </xs:annotation>
    </xs:attribute>
    <xs:attribute name="RepaymentDate" type="lt:DateType" use="required">
      <xs:annotation>
        <xs:documentation>Дата погашения</xs:documentation>
      </xs:annotation>
    </xs:attribute>
    <xs:attribute name="CreditRate" type="lt:PercentNumberType" use="required">
      <xs:annotation>
        <xs:documentation>Процентная ставка по кредиту</xs:documentation>
      </xs:annotation>
    </xs:attribute>
    <xs:attribute name="Acc" type="lt:AccountNumberRUIDType" use="required">
      <xs:annotation>
        <xs:documentation>Номер банковского счета КО, на который предоставлен кредит</xs:documentation>
      </xs:annotation>
    </xs:attribute>
    <xs:attribute name="AccBIC" type="lt:BICRUIDType" use="required">
      <xs:annotation>
        <xs:documentation>БИК места открытия счета (БИК подразделения Банка России)</xs:documentation>
      </xs:annotation>
    </xs:attribute>
    <xs:attribute name="NameBrAcc" type="lt:Max255TextType" use="required">
      <xs:annotation>
        <xs:documentation>Наименование подразделения Банка России, в котором открыт банковский счет (субсчет) КО</xs:documentation>
      </xs:annotation>
    </xs:attribute>
    <xs:attribute name="TotalSecurityPrice" type="lt:KopeckAmountType">
      <xs:annotation>
        <xs:documentation>Общая стоимость обеспечения</xs:documentation>
      </xs:annotation>
    </xs:attribute>
  </xs:complexType>
  
  <xs:complexType name="CreditAssets">
    <xs:annotation>
      <xs:documentation>1.1. Обеспечение кредита</xs:documentation>
    </xs:annotation>
    <xs:sequence>
      <xs:element name="CreditDepoPartitions" type="elk:CreditDepoPartitions" minOccurs="0" maxOccurs="1">
        <xs:annotation>
          <xs:documentation>1.1.1. Информация об обеспечении в виде ценных бумаг и счете депо</xs:documentation>
        </xs:annotation>
      </xs:element>
      <xs:element name="CreditNonmarketAsset" type="elk:CreditNonmarketAssetNoSecurities441" minOccurs="0" maxOccurs="unbounded">
        <xs:annotation>
          <xs:documentation>1.1.2 Нерыночные активы</xs:documentation>
        </xs:annotation>
      </xs:element>
      <xs:element name="CreditGuarantee" type="elk:CreditGuarantee" minOccurs="0" maxOccurs="unbounded">
        <xs:annotation>
          <xs:documentation>1.1.3 Поручительства</xs:documentation>
        </xs:annotation>
      </xs:element>
    </xs:sequence>
  </xs:complexType>
  
  <xs:complexType name="CreditDepoPartitions">
    <xs:annotation>
      <xs:documentation>1.1.1. Информация об обеспечении в виде ценных бумаг и счете депо</xs:documentation>
    </xs:annotation>
    <xs:sequence>
      <xs:element name="SecurityRegnum" type="elk:SecurityRegnum" minOccurs="1" maxOccurs="unbounded">
        <xs:annotation>
          <xs:documentation>1.1.1.1. Ценные бумаги</xs:documentation>
        </xs:annotation>
      </xs:element>
    </xs:sequence>
    <xs:attribute name="DepoPartitionName" type="lt:Max100TextType" use="required">
      <xs:annotation>
        <xs:documentation>Название залогового раздела</xs:documentation>
      </xs:annotation>
    </xs:attribute>
    <xs:attribute name="DepoPartition" type="lt:Max20TextType" use="required">
      <xs:annotation>
        <xs:documentation>Номер раздела счета депо</xs:documentation>
      </xs:annotation>
    </xs:attribute>
    <xs:attribute name="DepoAccount" type="lt:Max20TextType" use="required">
      <xs:annotation>
        <xs:documentation>Номер счета депо в депозитарии</xs:documentation>
      </xs:annotation>
    </xs:attribute>
    <xs:attribute name="DepositoryName" type="lt:Max100TextType" use="required">
      <xs:annotation>
        <xs:documentation>Наименование депозитария</xs:documentation>
      </xs:annotation>
    </xs:attribute>
  </xs:complexType>
  
  <xs:complexType name="SecurityRegnum">
    <xs:annotation>
      <xs:documentation>1.1.1.1. Ценные бумаги</xs:documentation>
    </xs:annotation>
    <xs:attribute name="SecurityRegnum_Code" type="lt:Max30TextType" use="required">
      <xs:annotation>
        <xs:documentation>Государственный регистрационный номер или идентификационный/регистрационный номер или международный идентификационный код (ISIN) ценных бумаг</xs:documentation>
      </xs:annotation>
    </xs:attribute>
    <xs:attribute name="SecurityAmount" type="lt:Max24QuantityType" use="required">
      <xs:annotation>
        <xs:documentation>Количество</xs:documentation>
      </xs:annotation>
    </xs:attribute>
  </xs:complexType>
  
  <xs:complexType name="CreditNonmarketAssetNoSecurities441">
    <xs:annotation>
      <xs:documentation>1.1.2 Нерыночные активы</xs:documentation>
    </xs:annotation>
    <xs:attribute name="AssetCode" type="lt:Max20TextType">
      <xs:annotation>
        <xs:documentation>Уникальный номер актива в системе Банка России</xs:documentation>
      </xs:annotation>
    </xs:attribute>
  </xs:complexType>
  
  <xs:complexType name="CreditGuarantee">
    <xs:annotation>
      <xs:documentation>1.1.3 Поручительства</xs:documentation>
    </xs:annotation>
    <xs:attribute name="NumAgreemSurety" type="lt:Max20TextType">
      <xs:annotation>
        <xs:documentation>Номер договора поручительства (для КД ФК)</xs:documentation>
      </xs:annotation>
    </xs:attribute>
    <xs:attribute name="DateAgreemSurety" type="lt:DateType">
      <xs:annotation>
        <xs:documentation>Дата договора поручительства (для КД ФК)</xs:documentation>
      </xs:annotation>
    </xs:attribute>
  </xs:complexType>
  
</xs:schema>
